using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace AutoTurnOver.Models
{
    /// <summary>
    /// 缺货推送路径
    /// </summary>
    public class dc_auto_shortage_push_route_dto
    {
        public int id { get; set; }
        public string platform { get; set; }
        public string bailun_sku { get; set; }
        public string warehouse_name { get; set; }
        public string warehouse_code { get; set; }
        public DateTime push_date { get; set; }
        public DateTime? push_time { get; set; }
    }

    public class export_sortage_push_search_dto
    {
        [Description("平台")]
        public string platform { get; set; }

        [Description("SKU")]
        public string bailun_sku { get; set; }
        [Description("结束时间")]
        public DateTime? end_date { get; set; }
        [Description("开始时间")]
        public DateTime? start_date { get; set; }
        [Description("仓库编码")]
        public string warehousecode { get; set; }

        [Description("仓库类型")]
        public string warehousetype { get; set; }

        [Description("仓库国家")]
        public int? warehousearea { get; set; }
    }
}
